EC_VEC_NDUP(3)

NAME
ec_vec_ndup - Duplicate a portion of a vector.

SYNOPSIS
#include <ecoli/vec.h>

struct ec_vec * ec_vec_ndup(
    const struct ec_vec   *vec,
    size_t                 off,
    size_t                 len
);

SEE ALSO

ec_vec_add_ptr(3), ec_vec_free(3), ec_vec(3), ec_vec_add_u8(3), ec_vec_add_u16(3), ec_vec_add_by_ref(3), ec_vec_get(3), ec_vec_dup(3), ec_vec_add_u64(3), ec_vec_add_u32(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.